Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.net.ssl
Class StoreConfiguration<T>

    java.lang.Object
      org.apache.logging.log4j.core.net.ssl.StoreConfiguration<T>

Direct Known Subclasses:
  AbstractKeyStoreConfiguration

    public class StoreConfiguration<T>

extends Object

Field Summary
`protected static org.apache.logging.log4j.status.StatusLogger` | `LOGGER`

Constructor Summary
`StoreConfiguration(String location, String password)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getLocation()`
`String` | `getPassword()`
`char[]` | `getPasswordAsCharArray()`
`int` | `hashCode()`
`protected T` | `load()`
`void` | `setLocation(String location)`
`void` | `setPassword(String password)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOGGER

    protected static final org.apache.logging.log4j.status.StatusLogger LOGGER

Constructor Detail

### StoreConfiguration

    public StoreConfiguration(String location,
                              String password)

Method Detail

### getLocation

    public String getLocation()

### setLocation

    public void setLocation(String location)

### getPassword

    public String getPassword()

### getPasswordAsCharArray

    public char[] getPasswordAsCharArray()

### setPassword

    public void setPassword(String password)

### load

    protected T load()
              throws StoreConfigurationException

  Throws:
    `StoreConfigurationException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.